Contents

# DDB Function [VBA]

Returns the depreciation of an asset for a specified period using the arithmetic-declining method.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    DDB(Cost As Double, Salvage As Double, Life as Double, Period as Double, [Factor as Variant])

### Return value:

Double

### Parameters:

Cijena popravlja inicijalnu vrijednost asseta.

Rješavanje popravlja vrijednost asseta na kraju zivota

Životno doba je broj perioda koji definiše koliko dugo asset mora biti korišten.

Razdoblje definiše duzinu period. Dužina mora biti unesena u isto vrijeme kao zivot.

Faktor (optional) je faktor po kojem se amortizacija poveceava. Ukoliko vrijednost nije unesena, vrijednost je 2.

Use this form of depreciation if you require a higher initial depreciation value as opposed to linear depreciation. The depreciation value gets less with each period and is usually used for assets whose value loss is higher shortly after purchase (for example, vehicles, computers). Please note that the book value will never reach zero under this calculation type.

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleDDB
     Dim ddb_yr1 As Double
     ddb_yr1 = DDB(75000,1,60,12,2)
     Print ddb_yr1 ' returns 1,721.81 currency units.
    End Sub

Related Topics

DDB function in CALC

VBA financial functions